package;


import haxe.Timer;
import haxe.Unserializer;
import lime.app.Future;
import lime.app.Preloader;
import lime.app.Promise;
import lime.audio.AudioSource;
import lime.audio.openal.AL;
import lime.audio.AudioBuffer;
import lime.graphics.Image;
import lime.net.HTTPRequest;
import lime.system.CFFI;
import lime.text.Font;
import lime.utils.Bytes;
import lime.utils.UInt8Array;
import lime.Assets;

#if sys
import sys.FileSystem;
#end

#if flash
import flash.display.Bitmap;
import flash.display.BitmapData;
import flash.display.Loader;
import flash.events.Event;
import flash.events.IOErrorEvent;
import flash.events.ProgressEvent;
import flash.media.Sound;
import flash.net.URLLoader;
import flash.net.URLRequest;
#end


class DefaultAssetLibrary extends AssetLibrary {
	
	
	public var className (default, null) = new Map <String, Dynamic> ();
	public var path (default, null) = new Map <String, String> ();
	public var type (default, null) = new Map <String, AssetType> ();
	
	private var lastModified:Float;
	private var timer:Timer;
	
	
	public function new () {
		
		super ();
		
		#if (openfl && !flash)
		
		
		openfl.text.Font.registerFont (__ASSET__OPENFL__data_fonts_opensans_opensans_ttf);
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		#end
		
		#if flash
		
		className.set ("data/fonts/opensans/opensans.eot", __ASSET__data_fonts_opensans_opensans_eot);
		type.set ("data/fonts/opensans/opensans.eot", AssetType.BINARY);
		className.set ("data/fonts/opensans/opensans.ttf", __ASSET__data_fonts_opensans_opensans_ttf);
		type.set ("data/fonts/opensans/opensans.ttf", AssetType.FONT);
		className.set ("data/fonts/opensans/opensans.woff", __ASSET__data_fonts_opensans_opensans_woff);
		type.set ("data/fonts/opensans/opensans.woff", AssetType.BINARY);
		className.set ("data/fonts/opensans/opensans.woff2", __ASSET__data_fonts_opensans_opensans_woff2);
		type.set ("data/fonts/opensans/opensans.woff2", AssetType.BINARY);
		className.set ("data/graphics/arml1.png", __ASSET__data_graphics_arml1_png);
		type.set ("data/graphics/arml1.png", AssetType.IMAGE);
		className.set ("data/graphics/arml10.png", __ASSET__data_graphics_arml10_png);
		type.set ("data/graphics/arml10.png", AssetType.IMAGE);
		className.set ("data/graphics/arml10flip.png", __ASSET__data_graphics_arml10flip_png);
		type.set ("data/graphics/arml10flip.png", AssetType.IMAGE);
		className.set ("data/graphics/arml11.png", __ASSET__data_graphics_arml11_png);
		type.set ("data/graphics/arml11.png", AssetType.IMAGE);
		className.set ("data/graphics/arml11flip.png", __ASSET__data_graphics_arml11flip_png);
		type.set ("data/graphics/arml11flip.png", AssetType.IMAGE);
		className.set ("data/graphics/arml12.png", __ASSET__data_graphics_arml12_png);
		type.set ("data/graphics/arml12.png", AssetType.IMAGE);
		className.set ("data/graphics/arml12flip.png", __ASSET__data_graphics_arml12flip_png);
		type.set ("data/graphics/arml12flip.png", AssetType.IMAGE);
		className.set ("data/graphics/arml1flip.png", __ASSET__data_graphics_arml1flip_png);
		type.set ("data/graphics/arml1flip.png", AssetType.IMAGE);
		className.set ("data/graphics/arml2.png", __ASSET__data_graphics_arml2_png);
		type.set ("data/graphics/arml2.png", AssetType.IMAGE);
		className.set ("data/graphics/arml2.psd", __ASSET__data_graphics_arml2_psd);
		type.set ("data/graphics/arml2.psd", AssetType.BINARY);
		className.set ("data/graphics/arml2flip.png", __ASSET__data_graphics_arml2flip_png);
		type.set ("data/graphics/arml2flip.png", AssetType.IMAGE);
		className.set ("data/graphics/arml3.png", __ASSET__data_graphics_arml3_png);
		type.set ("data/graphics/arml3.png", AssetType.IMAGE);
		className.set ("data/graphics/arml3.psd", __ASSET__data_graphics_arml3_psd);
		type.set ("data/graphics/arml3.psd", AssetType.BINARY);
		className.set ("data/graphics/arml3flip.png", __ASSET__data_graphics_arml3flip_png);
		type.set ("data/graphics/arml3flip.png", AssetType.IMAGE);
		className.set ("data/graphics/arml4.png", __ASSET__data_graphics_arml4_png);
		type.set ("data/graphics/arml4.png", AssetType.IMAGE);
		className.set ("data/graphics/arml4flip.png", __ASSET__data_graphics_arml4flip_png);
		type.set ("data/graphics/arml4flip.png", AssetType.IMAGE);
		className.set ("data/graphics/arml5.png", __ASSET__data_graphics_arml5_png);
		type.set ("data/graphics/arml5.png", AssetType.IMAGE);
		className.set ("data/graphics/arml5flip.png", __ASSET__data_graphics_arml5flip_png);
		type.set ("data/graphics/arml5flip.png", AssetType.IMAGE);
		className.set ("data/graphics/arml6.png", __ASSET__data_graphics_arml6_png);
		type.set ("data/graphics/arml6.png", AssetType.IMAGE);
		className.set ("data/graphics/arml6flip.png", __ASSET__data_graphics_arml6flip_png);
		type.set ("data/graphics/arml6flip.png", AssetType.IMAGE);
		className.set ("data/graphics/arml7.png", __ASSET__data_graphics_arml7_png);
		type.set ("data/graphics/arml7.png", AssetType.IMAGE);
		className.set ("data/graphics/arml7flip.png", __ASSET__data_graphics_arml7flip_png);
		type.set ("data/graphics/arml7flip.png", AssetType.IMAGE);
		className.set ("data/graphics/arml8.png", __ASSET__data_graphics_arml8_png);
		type.set ("data/graphics/arml8.png", AssetType.IMAGE);
		className.set ("data/graphics/arml8flip.png", __ASSET__data_graphics_arml8flip_png);
		type.set ("data/graphics/arml8flip.png", AssetType.IMAGE);
		className.set ("data/graphics/arml9.png", __ASSET__data_graphics_arml9_png);
		type.set ("data/graphics/arml9.png", AssetType.IMAGE);
		className.set ("data/graphics/arml9flip.png", __ASSET__data_graphics_arml9flip_png);
		type.set ("data/graphics/arml9flip.png", AssetType.IMAGE);
		className.set ("data/graphics/armr1.png", __ASSET__data_graphics_armr1_png);
		type.set ("data/graphics/armr1.png", AssetType.IMAGE);
		className.set ("data/graphics/armr10.png", __ASSET__data_graphics_armr10_png);
		type.set ("data/graphics/armr10.png", AssetType.IMAGE);
		className.set ("data/graphics/armr10flip.png", __ASSET__data_graphics_armr10flip_png);
		type.set ("data/graphics/armr10flip.png", AssetType.IMAGE);
		className.set ("data/graphics/armr11.png", __ASSET__data_graphics_armr11_png);
		type.set ("data/graphics/armr11.png", AssetType.IMAGE);
		className.set ("data/graphics/armr11flip.png", __ASSET__data_graphics_armr11flip_png);
		type.set ("data/graphics/armr11flip.png", AssetType.IMAGE);
		className.set ("data/graphics/armr12.png", __ASSET__data_graphics_armr12_png);
		type.set ("data/graphics/armr12.png", AssetType.IMAGE);
		className.set ("data/graphics/armr12flip.png", __ASSET__data_graphics_armr12flip_png);
		type.set ("data/graphics/armr12flip.png", AssetType.IMAGE);
		className.set ("data/graphics/armr1flip.png", __ASSET__data_graphics_armr1flip_png);
		type.set ("data/graphics/armr1flip.png", AssetType.IMAGE);
		className.set ("data/graphics/armr2.png", __ASSET__data_graphics_armr2_png);
		type.set ("data/graphics/armr2.png", AssetType.IMAGE);
		className.set ("data/graphics/armr2flip.png", __ASSET__data_graphics_armr2flip_png);
		type.set ("data/graphics/armr2flip.png", AssetType.IMAGE);
		className.set ("data/graphics/armr3.png", __ASSET__data_graphics_armr3_png);
		type.set ("data/graphics/armr3.png", AssetType.IMAGE);
		className.set ("data/graphics/armr3flip.png", __ASSET__data_graphics_armr3flip_png);
		type.set ("data/graphics/armr3flip.png", AssetType.IMAGE);
		className.set ("data/graphics/armr4.png", __ASSET__data_graphics_armr4_png);
		type.set ("data/graphics/armr4.png", AssetType.IMAGE);
		className.set ("data/graphics/armr4flip.png", __ASSET__data_graphics_armr4flip_png);
		type.set ("data/graphics/armr4flip.png", AssetType.IMAGE);
		className.set ("data/graphics/armr5.png", __ASSET__data_graphics_armr5_png);
		type.set ("data/graphics/armr5.png", AssetType.IMAGE);
		className.set ("data/graphics/armr5flip.png", __ASSET__data_graphics_armr5flip_png);
		type.set ("data/graphics/armr5flip.png", AssetType.IMAGE);
		className.set ("data/graphics/armr6.png", __ASSET__data_graphics_armr6_png);
		type.set ("data/graphics/armr6.png", AssetType.IMAGE);
		className.set ("data/graphics/armr6flip.png", __ASSET__data_graphics_armr6flip_png);
		type.set ("data/graphics/armr6flip.png", AssetType.IMAGE);
		className.set ("data/graphics/armr7.png", __ASSET__data_graphics_armr7_png);
		type.set ("data/graphics/armr7.png", AssetType.IMAGE);
		className.set ("data/graphics/armr7flip.png", __ASSET__data_graphics_armr7flip_png);
		type.set ("data/graphics/armr7flip.png", AssetType.IMAGE);
		className.set ("data/graphics/armr8.png", __ASSET__data_graphics_armr8_png);
		type.set ("data/graphics/armr8.png", AssetType.IMAGE);
		className.set ("data/graphics/armr8flip.png", __ASSET__data_graphics_armr8flip_png);
		type.set ("data/graphics/armr8flip.png", AssetType.IMAGE);
		className.set ("data/graphics/armr9.png", __ASSET__data_graphics_armr9_png);
		type.set ("data/graphics/armr9.png", AssetType.IMAGE);
		className.set ("data/graphics/armr9flip.png", __ASSET__data_graphics_armr9flip_png);
		type.set ("data/graphics/armr9flip.png", AssetType.IMAGE);
		className.set ("data/graphics/dancemockup.psd", __ASSET__data_graphics_dancemockup_psd);
		type.set ("data/graphics/dancemockup.psd", AssetType.BINARY);
		className.set ("data/graphics/feet1.png", __ASSET__data_graphics_feet1_png);
		type.set ("data/graphics/feet1.png", AssetType.IMAGE);
		className.set ("data/graphics/feet10.png", __ASSET__data_graphics_feet10_png);
		type.set ("data/graphics/feet10.png", AssetType.IMAGE);
		className.set ("data/graphics/feet11.png", __ASSET__data_graphics_feet11_png);
		type.set ("data/graphics/feet11.png", AssetType.IMAGE);
		className.set ("data/graphics/feet12.png", __ASSET__data_graphics_feet12_png);
		type.set ("data/graphics/feet12.png", AssetType.IMAGE);
		className.set ("data/graphics/feet2.png", __ASSET__data_graphics_feet2_png);
		type.set ("data/graphics/feet2.png", AssetType.IMAGE);
		className.set ("data/graphics/feet3.png", __ASSET__data_graphics_feet3_png);
		type.set ("data/graphics/feet3.png", AssetType.IMAGE);
		className.set ("data/graphics/feet4.png", __ASSET__data_graphics_feet4_png);
		type.set ("data/graphics/feet4.png", AssetType.IMAGE);
		className.set ("data/graphics/feet5.png", __ASSET__data_graphics_feet5_png);
		type.set ("data/graphics/feet5.png", AssetType.IMAGE);
		className.set ("data/graphics/feet6.png", __ASSET__data_graphics_feet6_png);
		type.set ("data/graphics/feet6.png", AssetType.IMAGE);
		className.set ("data/graphics/feet7.png", __ASSET__data_graphics_feet7_png);
		type.set ("data/graphics/feet7.png", AssetType.IMAGE);
		className.set ("data/graphics/feet8.png", __ASSET__data_graphics_feet8_png);
		type.set ("data/graphics/feet8.png", AssetType.IMAGE);
		className.set ("data/graphics/feet9.png", __ASSET__data_graphics_feet9_png);
		type.set ("data/graphics/feet9.png", AssetType.IMAGE);
		className.set ("data/graphics/golem.png", __ASSET__data_graphics_golem_png);
		type.set ("data/graphics/golem.png", AssetType.IMAGE);
		className.set ("data/graphics/hair1.png", __ASSET__data_graphics_hair1_png);
		type.set ("data/graphics/hair1.png", AssetType.IMAGE);
		className.set ("data/graphics/hair10.png", __ASSET__data_graphics_hair10_png);
		type.set ("data/graphics/hair10.png", AssetType.IMAGE);
		className.set ("data/graphics/hair11.png", __ASSET__data_graphics_hair11_png);
		type.set ("data/graphics/hair11.png", AssetType.IMAGE);
		className.set ("data/graphics/hair12.png", __ASSET__data_graphics_hair12_png);
		type.set ("data/graphics/hair12.png", AssetType.IMAGE);
		className.set ("data/graphics/hair2.png", __ASSET__data_graphics_hair2_png);
		type.set ("data/graphics/hair2.png", AssetType.IMAGE);
		className.set ("data/graphics/hair3.png", __ASSET__data_graphics_hair3_png);
		type.set ("data/graphics/hair3.png", AssetType.IMAGE);
		className.set ("data/graphics/hair4.png", __ASSET__data_graphics_hair4_png);
		type.set ("data/graphics/hair4.png", AssetType.IMAGE);
		className.set ("data/graphics/hair5.png", __ASSET__data_graphics_hair5_png);
		type.set ("data/graphics/hair5.png", AssetType.IMAGE);
		className.set ("data/graphics/hair6.png", __ASSET__data_graphics_hair6_png);
		type.set ("data/graphics/hair6.png", AssetType.IMAGE);
		className.set ("data/graphics/hair7.png", __ASSET__data_graphics_hair7_png);
		type.set ("data/graphics/hair7.png", AssetType.IMAGE);
		className.set ("data/graphics/hair8.png", __ASSET__data_graphics_hair8_png);
		type.set ("data/graphics/hair8.png", AssetType.IMAGE);
		className.set ("data/graphics/hair9.png", __ASSET__data_graphics_hair9_png);
		type.set ("data/graphics/hair9.png", AssetType.IMAGE);
		className.set ("data/graphics/head1.png", __ASSET__data_graphics_head1_png);
		type.set ("data/graphics/head1.png", AssetType.IMAGE);
		className.set ("data/graphics/head10.png", __ASSET__data_graphics_head10_png);
		type.set ("data/graphics/head10.png", AssetType.IMAGE);
		className.set ("data/graphics/head11.png", __ASSET__data_graphics_head11_png);
		type.set ("data/graphics/head11.png", AssetType.IMAGE);
		className.set ("data/graphics/head12.png", __ASSET__data_graphics_head12_png);
		type.set ("data/graphics/head12.png", AssetType.IMAGE);
		className.set ("data/graphics/head2.png", __ASSET__data_graphics_head2_png);
		type.set ("data/graphics/head2.png", AssetType.IMAGE);
		className.set ("data/graphics/head3.png", __ASSET__data_graphics_head3_png);
		type.set ("data/graphics/head3.png", AssetType.IMAGE);
		className.set ("data/graphics/head4.png", __ASSET__data_graphics_head4_png);
		type.set ("data/graphics/head4.png", AssetType.IMAGE);
		className.set ("data/graphics/head5.png", __ASSET__data_graphics_head5_png);
		type.set ("data/graphics/head5.png", AssetType.IMAGE);
		className.set ("data/graphics/head6.png", __ASSET__data_graphics_head6_png);
		type.set ("data/graphics/head6.png", AssetType.IMAGE);
		className.set ("data/graphics/head7.png", __ASSET__data_graphics_head7_png);
		type.set ("data/graphics/head7.png", AssetType.IMAGE);
		className.set ("data/graphics/head8.png", __ASSET__data_graphics_head8_png);
		type.set ("data/graphics/head8.png", AssetType.IMAGE);
		className.set ("data/graphics/head9.png", __ASSET__data_graphics_head9_png);
		type.set ("data/graphics/head9.png", AssetType.IMAGE);
		className.set ("data/graphics/leftdress.png", __ASSET__data_graphics_leftdress_png);
		type.set ("data/graphics/leftdress.png", AssetType.IMAGE);
		className.set ("data/graphics/process", __ASSET__data_graphics_process);
		type.set ("data/graphics/process", AssetType.TEXT);
		className.set ("data/graphics/rightdress.png", __ASSET__data_graphics_rightdress_png);
		type.set ("data/graphics/rightdress.png", AssetType.IMAGE);
		className.set ("data/graphics/torso1.png", __ASSET__data_graphics_torso1_png);
		type.set ("data/graphics/torso1.png", AssetType.IMAGE);
		className.set ("data/graphics/torso10.png", __ASSET__data_graphics_torso10_png);
		type.set ("data/graphics/torso10.png", AssetType.IMAGE);
		className.set ("data/graphics/torso11.png", __ASSET__data_graphics_torso11_png);
		type.set ("data/graphics/torso11.png", AssetType.IMAGE);
		className.set ("data/graphics/torso11.psd", __ASSET__data_graphics_torso11_psd);
		type.set ("data/graphics/torso11.psd", AssetType.BINARY);
		className.set ("data/graphics/torso12.png", __ASSET__data_graphics_torso12_png);
		type.set ("data/graphics/torso12.png", AssetType.IMAGE);
		className.set ("data/graphics/torso2.png", __ASSET__data_graphics_torso2_png);
		type.set ("data/graphics/torso2.png", AssetType.IMAGE);
		className.set ("data/graphics/torso3.png", __ASSET__data_graphics_torso3_png);
		type.set ("data/graphics/torso3.png", AssetType.IMAGE);
		className.set ("data/graphics/torso4.png", __ASSET__data_graphics_torso4_png);
		type.set ("data/graphics/torso4.png", AssetType.IMAGE);
		className.set ("data/graphics/torso5.png", __ASSET__data_graphics_torso5_png);
		type.set ("data/graphics/torso5.png", AssetType.IMAGE);
		className.set ("data/graphics/torso6.png", __ASSET__data_graphics_torso6_png);
		type.set ("data/graphics/torso6.png", AssetType.IMAGE);
		className.set ("data/graphics/torso7.png", __ASSET__data_graphics_torso7_png);
		type.set ("data/graphics/torso7.png", AssetType.IMAGE);
		className.set ("data/graphics/torso8.png", __ASSET__data_graphics_torso8_png);
		type.set ("data/graphics/torso8.png", AssetType.IMAGE);
		className.set ("data/graphics/torso9.png", __ASSET__data_graphics_torso9_png);
		type.set ("data/graphics/torso9.png", AssetType.IMAGE);
		
		
		#elseif html5
		
		var id;
		id = "data/fonts/opensans/opensans.eot";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "data/fonts/opensans/opensans.ttf";
		className.set (id, __ASSET__data_fonts_opensans_opensans_ttf);
		
		type.set (id, AssetType.FONT);
		id = "data/fonts/opensans/opensans.woff";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "data/fonts/opensans/opensans.woff2";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "data/graphics/arml1.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/arml10.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/arml10flip.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/arml11.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/arml11flip.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/arml12.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/arml12flip.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/arml1flip.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/arml2.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/arml2.psd";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "data/graphics/arml2flip.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/arml3.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/arml3.psd";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "data/graphics/arml3flip.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/arml4.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/arml4flip.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/arml5.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/arml5flip.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/arml6.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/arml6flip.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/arml7.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/arml7flip.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/arml8.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/arml8flip.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/arml9.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/arml9flip.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/armr1.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/armr10.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/armr10flip.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/armr11.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/armr11flip.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/armr12.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/armr12flip.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/armr1flip.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/armr2.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/armr2flip.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/armr3.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/armr3flip.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/armr4.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/armr4flip.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/armr5.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/armr5flip.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/armr6.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/armr6flip.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/armr7.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/armr7flip.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/armr8.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/armr8flip.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/armr9.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/armr9flip.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/dancemockup.psd";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "data/graphics/feet1.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/feet10.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/feet11.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/feet12.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/feet2.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/feet3.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/feet4.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/feet5.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/feet6.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/feet7.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/feet8.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/feet9.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/golem.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/hair1.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/hair10.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/hair11.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/hair12.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/hair2.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/hair3.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/hair4.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/hair5.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/hair6.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/hair7.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/hair8.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/hair9.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/head1.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/head10.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/head11.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/head12.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/head2.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/head3.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/head4.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/head5.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/head6.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/head7.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/head8.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/head9.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/leftdress.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/process";
		path.set (id, id);
		
		type.set (id, AssetType.TEXT);
		id = "data/graphics/rightdress.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/torso1.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/torso10.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/torso11.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/torso11.psd";
		path.set (id, id);
		
		type.set (id, AssetType.BINARY);
		id = "data/graphics/torso12.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/torso2.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/torso3.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/torso4.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/torso5.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/torso6.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/torso7.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/torso8.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		id = "data/graphics/torso9.png";
		path.set (id, id);
		
		type.set (id, AssetType.IMAGE);
		
		
		var assetsPrefix = null;
		if (ApplicationMain.config != null && Reflect.hasField (ApplicationMain.config, "assetsPrefix")) {
			assetsPrefix = ApplicationMain.config.assetsPrefix;
		}
		if (assetsPrefix != null) {
			for (k in path.keys()) {
				path.set(k, assetsPrefix + path[k]);
			}
		}
		
		#else
		
		#if (windows || mac || linux)
		
		var useManifest = false;
		
		className.set ("data/fonts/opensans/opensans.eot", __ASSET__data_fonts_opensans_opensans_eot);
		type.set ("data/fonts/opensans/opensans.eot", AssetType.BINARY);
		
		className.set ("data/fonts/opensans/opensans.ttf", __ASSET__data_fonts_opensans_opensans_ttf);
		type.set ("data/fonts/opensans/opensans.ttf", AssetType.FONT);
		
		className.set ("data/fonts/opensans/opensans.woff", __ASSET__data_fonts_opensans_opensans_woff);
		type.set ("data/fonts/opensans/opensans.woff", AssetType.BINARY);
		
		className.set ("data/fonts/opensans/opensans.woff2", __ASSET__data_fonts_opensans_opensans_woff2);
		type.set ("data/fonts/opensans/opensans.woff2", AssetType.BINARY);
		
		className.set ("data/graphics/arml1.png", __ASSET__data_graphics_arml1_png);
		type.set ("data/graphics/arml1.png", AssetType.IMAGE);
		
		className.set ("data/graphics/arml10.png", __ASSET__data_graphics_arml10_png);
		type.set ("data/graphics/arml10.png", AssetType.IMAGE);
		
		className.set ("data/graphics/arml10flip.png", __ASSET__data_graphics_arml10flip_png);
		type.set ("data/graphics/arml10flip.png", AssetType.IMAGE);
		
		className.set ("data/graphics/arml11.png", __ASSET__data_graphics_arml11_png);
		type.set ("data/graphics/arml11.png", AssetType.IMAGE);
		
		className.set ("data/graphics/arml11flip.png", __ASSET__data_graphics_arml11flip_png);
		type.set ("data/graphics/arml11flip.png", AssetType.IMAGE);
		
		className.set ("data/graphics/arml12.png", __ASSET__data_graphics_arml12_png);
		type.set ("data/graphics/arml12.png", AssetType.IMAGE);
		
		className.set ("data/graphics/arml12flip.png", __ASSET__data_graphics_arml12flip_png);
		type.set ("data/graphics/arml12flip.png", AssetType.IMAGE);
		
		className.set ("data/graphics/arml1flip.png", __ASSET__data_graphics_arml1flip_png);
		type.set ("data/graphics/arml1flip.png", AssetType.IMAGE);
		
		className.set ("data/graphics/arml2.png", __ASSET__data_graphics_arml2_png);
		type.set ("data/graphics/arml2.png", AssetType.IMAGE);
		
		className.set ("data/graphics/arml2.psd", __ASSET__data_graphics_arml2_psd);
		type.set ("data/graphics/arml2.psd", AssetType.BINARY);
		
		className.set ("data/graphics/arml2flip.png", __ASSET__data_graphics_arml2flip_png);
		type.set ("data/graphics/arml2flip.png", AssetType.IMAGE);
		
		className.set ("data/graphics/arml3.png", __ASSET__data_graphics_arml3_png);
		type.set ("data/graphics/arml3.png", AssetType.IMAGE);
		
		className.set ("data/graphics/arml3.psd", __ASSET__data_graphics_arml3_psd);
		type.set ("data/graphics/arml3.psd", AssetType.BINARY);
		
		className.set ("data/graphics/arml3flip.png", __ASSET__data_graphics_arml3flip_png);
		type.set ("data/graphics/arml3flip.png", AssetType.IMAGE);
		
		className.set ("data/graphics/arml4.png", __ASSET__data_graphics_arml4_png);
		type.set ("data/graphics/arml4.png", AssetType.IMAGE);
		
		className.set ("data/graphics/arml4flip.png", __ASSET__data_graphics_arml4flip_png);
		type.set ("data/graphics/arml4flip.png", AssetType.IMAGE);
		
		className.set ("data/graphics/arml5.png", __ASSET__data_graphics_arml5_png);
		type.set ("data/graphics/arml5.png", AssetType.IMAGE);
		
		className.set ("data/graphics/arml5flip.png", __ASSET__data_graphics_arml5flip_png);
		type.set ("data/graphics/arml5flip.png", AssetType.IMAGE);
		
		className.set ("data/graphics/arml6.png", __ASSET__data_graphics_arml6_png);
		type.set ("data/graphics/arml6.png", AssetType.IMAGE);
		
		className.set ("data/graphics/arml6flip.png", __ASSET__data_graphics_arml6flip_png);
		type.set ("data/graphics/arml6flip.png", AssetType.IMAGE);
		
		className.set ("data/graphics/arml7.png", __ASSET__data_graphics_arml7_png);
		type.set ("data/graphics/arml7.png", AssetType.IMAGE);
		
		className.set ("data/graphics/arml7flip.png", __ASSET__data_graphics_arml7flip_png);
		type.set ("data/graphics/arml7flip.png", AssetType.IMAGE);
		
		className.set ("data/graphics/arml8.png", __ASSET__data_graphics_arml8_png);
		type.set ("data/graphics/arml8.png", AssetType.IMAGE);
		
		className.set ("data/graphics/arml8flip.png", __ASSET__data_graphics_arml8flip_png);
		type.set ("data/graphics/arml8flip.png", AssetType.IMAGE);
		
		className.set ("data/graphics/arml9.png", __ASSET__data_graphics_arml9_png);
		type.set ("data/graphics/arml9.png", AssetType.IMAGE);
		
		className.set ("data/graphics/arml9flip.png", __ASSET__data_graphics_arml9flip_png);
		type.set ("data/graphics/arml9flip.png", AssetType.IMAGE);
		
		className.set ("data/graphics/armr1.png", __ASSET__data_graphics_armr1_png);
		type.set ("data/graphics/armr1.png", AssetType.IMAGE);
		
		className.set ("data/graphics/armr10.png", __ASSET__data_graphics_armr10_png);
		type.set ("data/graphics/armr10.png", AssetType.IMAGE);
		
		className.set ("data/graphics/armr10flip.png", __ASSET__data_graphics_armr10flip_png);
		type.set ("data/graphics/armr10flip.png", AssetType.IMAGE);
		
		className.set ("data/graphics/armr11.png", __ASSET__data_graphics_armr11_png);
		type.set ("data/graphics/armr11.png", AssetType.IMAGE);
		
		className.set ("data/graphics/armr11flip.png", __ASSET__data_graphics_armr11flip_png);
		type.set ("data/graphics/armr11flip.png", AssetType.IMAGE);
		
		className.set ("data/graphics/armr12.png", __ASSET__data_graphics_armr12_png);
		type.set ("data/graphics/armr12.png", AssetType.IMAGE);
		
		className.set ("data/graphics/armr12flip.png", __ASSET__data_graphics_armr12flip_png);
		type.set ("data/graphics/armr12flip.png", AssetType.IMAGE);
		
		className.set ("data/graphics/armr1flip.png", __ASSET__data_graphics_armr1flip_png);
		type.set ("data/graphics/armr1flip.png", AssetType.IMAGE);
		
		className.set ("data/graphics/armr2.png", __ASSET__data_graphics_armr2_png);
		type.set ("data/graphics/armr2.png", AssetType.IMAGE);
		
		className.set ("data/graphics/armr2flip.png", __ASSET__data_graphics_armr2flip_png);
		type.set ("data/graphics/armr2flip.png", AssetType.IMAGE);
		
		className.set ("data/graphics/armr3.png", __ASSET__data_graphics_armr3_png);
		type.set ("data/graphics/armr3.png", AssetType.IMAGE);
		
		className.set ("data/graphics/armr3flip.png", __ASSET__data_graphics_armr3flip_png);
		type.set ("data/graphics/armr3flip.png", AssetType.IMAGE);
		
		className.set ("data/graphics/armr4.png", __ASSET__data_graphics_armr4_png);
		type.set ("data/graphics/armr4.png", AssetType.IMAGE);
		
		className.set ("data/graphics/armr4flip.png", __ASSET__data_graphics_armr4flip_png);
		type.set ("data/graphics/armr4flip.png", AssetType.IMAGE);
		
		className.set ("data/graphics/armr5.png", __ASSET__data_graphics_armr5_png);
		type.set ("data/graphics/armr5.png", AssetType.IMAGE);
		
		className.set ("data/graphics/armr5flip.png", __ASSET__data_graphics_armr5flip_png);
		type.set ("data/graphics/armr5flip.png", AssetType.IMAGE);
		
		className.set ("data/graphics/armr6.png", __ASSET__data_graphics_armr6_png);
		type.set ("data/graphics/armr6.png", AssetType.IMAGE);
		
		className.set ("data/graphics/armr6flip.png", __ASSET__data_graphics_armr6flip_png);
		type.set ("data/graphics/armr6flip.png", AssetType.IMAGE);
		
		className.set ("data/graphics/armr7.png", __ASSET__data_graphics_armr7_png);
		type.set ("data/graphics/armr7.png", AssetType.IMAGE);
		
		className.set ("data/graphics/armr7flip.png", __ASSET__data_graphics_armr7flip_png);
		type.set ("data/graphics/armr7flip.png", AssetType.IMAGE);
		
		className.set ("data/graphics/armr8.png", __ASSET__data_graphics_armr8_png);
		type.set ("data/graphics/armr8.png", AssetType.IMAGE);
		
		className.set ("data/graphics/armr8flip.png", __ASSET__data_graphics_armr8flip_png);
		type.set ("data/graphics/armr8flip.png", AssetType.IMAGE);
		
		className.set ("data/graphics/armr9.png", __ASSET__data_graphics_armr9_png);
		type.set ("data/graphics/armr9.png", AssetType.IMAGE);
		
		className.set ("data/graphics/armr9flip.png", __ASSET__data_graphics_armr9flip_png);
		type.set ("data/graphics/armr9flip.png", AssetType.IMAGE);
		
		className.set ("data/graphics/dancemockup.psd", __ASSET__data_graphics_dancemockup_psd);
		type.set ("data/graphics/dancemockup.psd", AssetType.BINARY);
		
		className.set ("data/graphics/feet1.png", __ASSET__data_graphics_feet1_png);
		type.set ("data/graphics/feet1.png", AssetType.IMAGE);
		
		className.set ("data/graphics/feet10.png", __ASSET__data_graphics_feet10_png);
		type.set ("data/graphics/feet10.png", AssetType.IMAGE);
		
		className.set ("data/graphics/feet11.png", __ASSET__data_graphics_feet11_png);
		type.set ("data/graphics/feet11.png", AssetType.IMAGE);
		
		className.set ("data/graphics/feet12.png", __ASSET__data_graphics_feet12_png);
		type.set ("data/graphics/feet12.png", AssetType.IMAGE);
		
		className.set ("data/graphics/feet2.png", __ASSET__data_graphics_feet2_png);
		type.set ("data/graphics/feet2.png", AssetType.IMAGE);
		
		className.set ("data/graphics/feet3.png", __ASSET__data_graphics_feet3_png);
		type.set ("data/graphics/feet3.png", AssetType.IMAGE);
		
		className.set ("data/graphics/feet4.png", __ASSET__data_graphics_feet4_png);
		type.set ("data/graphics/feet4.png", AssetType.IMAGE);
		
		className.set ("data/graphics/feet5.png", __ASSET__data_graphics_feet5_png);
		type.set ("data/graphics/feet5.png", AssetType.IMAGE);
		
		className.set ("data/graphics/feet6.png", __ASSET__data_graphics_feet6_png);
		type.set ("data/graphics/feet6.png", AssetType.IMAGE);
		
		className.set ("data/graphics/feet7.png", __ASSET__data_graphics_feet7_png);
		type.set ("data/graphics/feet7.png", AssetType.IMAGE);
		
		className.set ("data/graphics/feet8.png", __ASSET__data_graphics_feet8_png);
		type.set ("data/graphics/feet8.png", AssetType.IMAGE);
		
		className.set ("data/graphics/feet9.png", __ASSET__data_graphics_feet9_png);
		type.set ("data/graphics/feet9.png", AssetType.IMAGE);
		
		className.set ("data/graphics/golem.png", __ASSET__data_graphics_golem_png);
		type.set ("data/graphics/golem.png", AssetType.IMAGE);
		
		className.set ("data/graphics/hair1.png", __ASSET__data_graphics_hair1_png);
		type.set ("data/graphics/hair1.png", AssetType.IMAGE);
		
		className.set ("data/graphics/hair10.png", __ASSET__data_graphics_hair10_png);
		type.set ("data/graphics/hair10.png", AssetType.IMAGE);
		
		className.set ("data/graphics/hair11.png", __ASSET__data_graphics_hair11_png);
		type.set ("data/graphics/hair11.png", AssetType.IMAGE);
		
		className.set ("data/graphics/hair12.png", __ASSET__data_graphics_hair12_png);
		type.set ("data/graphics/hair12.png", AssetType.IMAGE);
		
		className.set ("data/graphics/hair2.png", __ASSET__data_graphics_hair2_png);
		type.set ("data/graphics/hair2.png", AssetType.IMAGE);
		
		className.set ("data/graphics/hair3.png", __ASSET__data_graphics_hair3_png);
		type.set ("data/graphics/hair3.png", AssetType.IMAGE);
		
		className.set ("data/graphics/hair4.png", __ASSET__data_graphics_hair4_png);
		type.set ("data/graphics/hair4.png", AssetType.IMAGE);
		
		className.set ("data/graphics/hair5.png", __ASSET__data_graphics_hair5_png);
		type.set ("data/graphics/hair5.png", AssetType.IMAGE);
		
		className.set ("data/graphics/hair6.png", __ASSET__data_graphics_hair6_png);
		type.set ("data/graphics/hair6.png", AssetType.IMAGE);
		
		className.set ("data/graphics/hair7.png", __ASSET__data_graphics_hair7_png);
		type.set ("data/graphics/hair7.png", AssetType.IMAGE);
		
		className.set ("data/graphics/hair8.png", __ASSET__data_graphics_hair8_png);
		type.set ("data/graphics/hair8.png", AssetType.IMAGE);
		
		className.set ("data/graphics/hair9.png", __ASSET__data_graphics_hair9_png);
		type.set ("data/graphics/hair9.png", AssetType.IMAGE);
		
		className.set ("data/graphics/head1.png", __ASSET__data_graphics_head1_png);
		type.set ("data/graphics/head1.png", AssetType.IMAGE);
		
		className.set ("data/graphics/head10.png", __ASSET__data_graphics_head10_png);
		type.set ("data/graphics/head10.png", AssetType.IMAGE);
		
		className.set ("data/graphics/head11.png", __ASSET__data_graphics_head11_png);
		type.set ("data/graphics/head11.png", AssetType.IMAGE);
		
		className.set ("data/graphics/head12.png", __ASSET__data_graphics_head12_png);
		type.set ("data/graphics/head12.png", AssetType.IMAGE);
		
		className.set ("data/graphics/head2.png", __ASSET__data_graphics_head2_png);
		type.set ("data/graphics/head2.png", AssetType.IMAGE);
		
		className.set ("data/graphics/head3.png", __ASSET__data_graphics_head3_png);
		type.set ("data/graphics/head3.png", AssetType.IMAGE);
		
		className.set ("data/graphics/head4.png", __ASSET__data_graphics_head4_png);
		type.set ("data/graphics/head4.png", AssetType.IMAGE);
		
		className.set ("data/graphics/head5.png", __ASSET__data_graphics_head5_png);
		type.set ("data/graphics/head5.png", AssetType.IMAGE);
		
		className.set ("data/graphics/head6.png", __ASSET__data_graphics_head6_png);
		type.set ("data/graphics/head6.png", AssetType.IMAGE);
		
		className.set ("data/graphics/head7.png", __ASSET__data_graphics_head7_png);
		type.set ("data/graphics/head7.png", AssetType.IMAGE);
		
		className.set ("data/graphics/head8.png", __ASSET__data_graphics_head8_png);
		type.set ("data/graphics/head8.png", AssetType.IMAGE);
		
		className.set ("data/graphics/head9.png", __ASSET__data_graphics_head9_png);
		type.set ("data/graphics/head9.png", AssetType.IMAGE);
		
		className.set ("data/graphics/leftdress.png", __ASSET__data_graphics_leftdress_png);
		type.set ("data/graphics/leftdress.png", AssetType.IMAGE);
		
		className.set ("data/graphics/process", __ASSET__data_graphics_process);
		type.set ("data/graphics/process", AssetType.TEXT);
		
		className.set ("data/graphics/rightdress.png", __ASSET__data_graphics_rightdress_png);
		type.set ("data/graphics/rightdress.png", AssetType.IMAGE);
		
		className.set ("data/graphics/torso1.png", __ASSET__data_graphics_torso1_png);
		type.set ("data/graphics/torso1.png", AssetType.IMAGE);
		
		className.set ("data/graphics/torso10.png", __ASSET__data_graphics_torso10_png);
		type.set ("data/graphics/torso10.png", AssetType.IMAGE);
		
		className.set ("data/graphics/torso11.png", __ASSET__data_graphics_torso11_png);
		type.set ("data/graphics/torso11.png", AssetType.IMAGE);
		
		className.set ("data/graphics/torso11.psd", __ASSET__data_graphics_torso11_psd);
		type.set ("data/graphics/torso11.psd", AssetType.BINARY);
		
		className.set ("data/graphics/torso12.png", __ASSET__data_graphics_torso12_png);
		type.set ("data/graphics/torso12.png", AssetType.IMAGE);
		
		className.set ("data/graphics/torso2.png", __ASSET__data_graphics_torso2_png);
		type.set ("data/graphics/torso2.png", AssetType.IMAGE);
		
		className.set ("data/graphics/torso3.png", __ASSET__data_graphics_torso3_png);
		type.set ("data/graphics/torso3.png", AssetType.IMAGE);
		
		className.set ("data/graphics/torso4.png", __ASSET__data_graphics_torso4_png);
		type.set ("data/graphics/torso4.png", AssetType.IMAGE);
		
		className.set ("data/graphics/torso5.png", __ASSET__data_graphics_torso5_png);
		type.set ("data/graphics/torso5.png", AssetType.IMAGE);
		
		className.set ("data/graphics/torso6.png", __ASSET__data_graphics_torso6_png);
		type.set ("data/graphics/torso6.png", AssetType.IMAGE);
		
		className.set ("data/graphics/torso7.png", __ASSET__data_graphics_torso7_png);
		type.set ("data/graphics/torso7.png", AssetType.IMAGE);
		
		className.set ("data/graphics/torso8.png", __ASSET__data_graphics_torso8_png);
		type.set ("data/graphics/torso8.png", AssetType.IMAGE);
		
		className.set ("data/graphics/torso9.png", __ASSET__data_graphics_torso9_png);
		type.set ("data/graphics/torso9.png", AssetType.IMAGE);
		
		
		if (useManifest) {
			
			loadManifest ();
			
			if (Sys.args ().indexOf ("-livereload") > -1) {
				
				var path = FileSystem.fullPath ("manifest");
				lastModified = FileSystem.stat (path).mtime.getTime ();
				
				timer = new Timer (2000);
				timer.run = function () {
					
					var modified = FileSystem.stat (path).mtime.getTime ();
					
					if (modified > lastModified) {
						
						lastModified = modified;
						loadManifest ();
						
						onChange.dispatch ();
						
					}
					
				}
				
			}
			
		}
		
		#else
		
		loadManifest ();
		
		#end
		#end
		
	}
	
	
	public override function exists (id:String, type:String):Bool {
		
		var requestedType = type != null ? cast (type, AssetType) : null;
		var assetType = this.type.get (id);
		
		if (assetType != null) {
			
			if (assetType == requestedType || ((requestedType == SOUND || requestedType == MUSIC) && (assetType == MUSIC || assetType == SOUND))) {
				
				return true;
				
			}
			
			#if flash
			
			if (requestedType == BINARY && (assetType == BINARY || assetType == TEXT || assetType == IMAGE)) {
				
				return true;
				
			} else if (requestedType == TEXT && assetType == BINARY) {
				
				return true;
				
			} else if (requestedType == null || path.exists (id)) {
				
				return true;
				
			}
			
			#else
			
			if (requestedType == BINARY || requestedType == null || (assetType == BINARY && requestedType == TEXT)) {
				
				return true;
				
			}
			
			#end
			
		}
		
		return false;
		
	}
	
	
	public override function getAudioBuffer (id:String):AudioBuffer {
		
		#if flash
		
		var buffer = new AudioBuffer ();
		buffer.src = cast (Type.createInstance (className.get (id), []), Sound);
		return buffer;
		
		#elseif html5
		
		return null;
		//return new Sound (new URLRequest (path.get (id)));
		
		#else
		
		if (className.exists(id)) return AudioBuffer.fromBytes (cast (Type.createInstance (className.get (id), []), Bytes));
		else return AudioBuffer.fromFile (path.get (id));
		
		#end
		
	}
	
	
	public override function getBytes (id:String):Bytes {
		
		#if flash
		
		switch (type.get (id)) {
			
			case TEXT, BINARY:
				
				return Bytes.ofData (cast (Type.createInstance (className.get (id), []), flash.utils.ByteArray));
			
			case IMAGE:
				
				var bitmapData = cast (Type.createInstance (className.get (id), []), BitmapData);
				return Bytes.ofData (bitmapData.getPixels (bitmapData.rect));
			
			default:
				
				return null;
			
		}
		
		return cast (Type.createInstance (className.get (id), []), Bytes);
		
		#elseif html5
		
		var loader = Preloader.loaders.get (path.get (id));
		
		if (loader == null) {
			
			return null;
			
		}
		
		var bytes = loader.bytes;
		
		if (bytes != null) {
			
			return bytes;
			
		} else {
			
			return null;
		}
		
		#else
		
		if (className.exists(id)) return cast (Type.createInstance (className.get (id), []), Bytes);
		else return Bytes.readFile (path.get (id));
		
		#end
		
	}
	
	
	public override function getFont (id:String):Font {
		
		#if flash
		
		var src = Type.createInstance (className.get (id), []);
		
		var font = new Font (src.fontName);
		font.src = src;
		return font;
		
		#elseif html5
		
		return cast (Type.createInstance (className.get (id), []), Font);
		
		#else
		
		if (className.exists (id)) {
			
			var fontClass = className.get (id);
			return cast (Type.createInstance (fontClass, []), Font);
			
		} else {
			
			return Font.fromFile (path.get (id));
			
		}
		
		#end
		
	}
	
	
	public override function getImage (id:String):Image {
		
		#if flash
		
		return Image.fromBitmapData (cast (Type.createInstance (className.get (id), []), BitmapData));
		
		#elseif html5
		
		return Image.fromImageElement (Preloader.images.get (path.get (id)));
		
		#else
		
		if (className.exists (id)) {
			
			var fontClass = className.get (id);
			return cast (Type.createInstance (fontClass, []), Image);
			
		} else {
			
			return Image.fromFile (path.get (id));
			
		}
		
		#end
		
	}
	
	
	/*public override function getMusic (id:String):Dynamic {
		
		#if flash
		
		return cast (Type.createInstance (className.get (id), []), Sound);
		
		#elseif openfl_html5
		
		//var sound = new Sound ();
		//sound.__buffer = true;
		//sound.load (new URLRequest (path.get (id)));
		//return sound;
		return null;
		
		#elseif html5
		
		return null;
		//return new Sound (new URLRequest (path.get (id)));
		
		#else
		
		return null;
		//if (className.exists(id)) return cast (Type.createInstance (className.get (id), []), Sound);
		//else return new Sound (new URLRequest (path.get (id)), null, true);
		
		#end
		
	}*/
	
	
	public override function getPath (id:String):String {
		
		//#if ios
		
		//return SystemPath.applicationDirectory + "/assets/" + path.get (id);
		
		//#else
		
		return path.get (id);
		
		//#end
		
	}
	
	
	public override function getText (id:String):String {
		
		#if html5
		
		var loader = Preloader.loaders.get (path.get (id));
		
		if (loader == null) {
			
			return null;
			
		}
		
		var bytes = loader.bytes;
		
		if (bytes != null) {
			
			return bytes.getString (0, bytes.length);
			
		} else {
			
			return null;
		}
		
		#else
		
		var bytes = getBytes (id);
		
		if (bytes == null) {
			
			return null;
			
		} else {
			
			return bytes.getString (0, bytes.length);
			
		}
		
		#end
		
	}
	
	
	public override function isLocal (id:String, type:String):Bool {
		
		var requestedType = type != null ? cast (type, AssetType) : null;
		
		#if flash
		
		//if (requestedType != AssetType.MUSIC && requestedType != AssetType.SOUND) {
			
			return className.exists (id);
			
		//}
		
		#end
		
		return true;
		
	}
	
	
	public override function list (type:String):Array<String> {
		
		var requestedType = type != null ? cast (type, AssetType) : null;
		var items = [];
		
		for (id in this.type.keys ()) {
			
			if (requestedType == null || exists (id, type)) {
				
				items.push (id);
				
			}
			
		}
		
		return items;
		
	}
	
	
	public override function loadAudioBuffer (id:String):Future<AudioBuffer> {
		
		var promise = new Promise<AudioBuffer> ();
		
		#if (flash)
		
		if (path.exists (id)) {
			
			var soundLoader = new Sound ();
			soundLoader.addEventListener (Event.COMPLETE, function (event) {
				
				var audioBuffer:AudioBuffer = new AudioBuffer();
				audioBuffer.src = event.currentTarget;
				promise.complete (audioBuffer);
				
			});
			soundLoader.addEventListener (ProgressEvent.PROGRESS, function (event) {
				
				if (event.bytesTotal == 0) {
					
					promise.progress (0);
					
				} else {
					
					promise.progress (event.bytesLoaded / event.bytesTotal);
					
				}
				
			});
			soundLoader.addEventListener (IOErrorEvent.IO_ERROR, promise.error);
			soundLoader.load (new URLRequest (path.get (id)));
			
		} else {
			
			promise.complete (getAudioBuffer (id));
			
		}
		
		#else
		
		promise.completeWith (new Future<AudioBuffer> (function () return getAudioBuffer (id)));
		
		#end
		
		return promise.future;
		
	}
	
	
	public override function loadBytes (id:String):Future<Bytes> {
		
		var promise = new Promise<Bytes> ();
		
		#if flash
		
		if (path.exists (id)) {
			
			var loader = new URLLoader ();
			loader.addEventListener (Event.COMPLETE, function (event:Event) {
				
				var bytes = Bytes.ofString (event.currentTarget.data);
				promise.complete (bytes);
				
			});
			loader.addEventListener (ProgressEvent.PROGRESS, function (event) {
				
				if (event.bytesTotal == 0) {
					
					promise.progress (0);
					
				} else {
					
					promise.progress (event.bytesLoaded / event.bytesTotal);
					
				}
				
			});
			loader.addEventListener (IOErrorEvent.IO_ERROR, promise.error);
			loader.load (new URLRequest (path.get (id)));
			
		} else {
			
			promise.complete (getBytes (id));
			
		}
		
		#elseif html5
		
		if (path.exists (id)) {
			
			var request = new HTTPRequest ();
			promise.completeWith (request.load (path.get (id) + "?" + Assets.cache.version));
			
		} else {
			
			promise.complete (getBytes (id));
			
		}
		
		#else
		
		promise.completeWith (new Future<Bytes> (function () return getBytes (id)));
		
		#end
		
		return promise.future;
		
	}
	
	
	public override function loadImage (id:String):Future<Image> {
		
		var promise = new Promise<Image> ();
		
		#if flash
		
		if (path.exists (id)) {
			
			var loader = new Loader ();
			loader.contentLoaderInfo.addEventListener (Event.COMPLETE, function (event:Event) {
				
				var bitmapData = cast (event.currentTarget.content, Bitmap).bitmapData;
				promise.complete (Image.fromBitmapData (bitmapData));
				
			});
			loader.contentLoaderInfo.addEventListener (ProgressEvent.PROGRESS, function (event) {
				
				if (event.bytesTotal == 0) {
					
					promise.progress (0);
					
				} else {
					
					promise.progress (event.bytesLoaded / event.bytesTotal);
					
				}
				
			});
			loader.contentLoaderInfo.addEventListener (IOErrorEvent.IO_ERROR, promise.error);
			loader.load (new URLRequest (path.get (id)));
			
		} else {
			
			promise.complete (getImage (id));
			
		}
		
		#elseif html5
		
		if (path.exists (id)) {
			
			var image = new js.html.Image ();
			image.onload = function (_):Void {
				
				promise.complete (Image.fromImageElement (image));
				
			}
			image.onerror = promise.error;
			image.src = path.get (id) + "?" + Assets.cache.version;
			
		} else {
			
			promise.complete (getImage (id));
			
		}
		
		#else
		
		promise.completeWith (new Future<Image> (function () return getImage (id)));
		
		#end
		
		return promise.future;
		
	}
	
	
	#if (!flash && !html5)
	private function loadManifest ():Void {
		
		try {
			
			#if blackberry
			var bytes = Bytes.readFile ("app/native/manifest");
			#elseif tizen
			var bytes = Bytes.readFile ("../res/manifest");
			#elseif emscripten
			var bytes = Bytes.readFile ("assets/manifest");
			#elseif (mac && java)
			var bytes = Bytes.readFile ("../Resources/manifest");
			#elseif (ios || tvos)
			var bytes = Bytes.readFile ("assets/manifest");
			#else
			var bytes = Bytes.readFile ("manifest");
			#end
			
			if (bytes != null) {
				
				if (bytes.length > 0) {
					
					var data = bytes.getString (0, bytes.length);
					
					if (data != null && data.length > 0) {
						
						var manifest:Array<Dynamic> = Unserializer.run (data);
						
						for (asset in manifest) {
							
							if (!className.exists (asset.id)) {
								
								#if (ios || tvos)
								path.set (asset.id, "assets/" + asset.path);
								#else
								path.set (asset.id, asset.path);
								#end
								type.set (asset.id, cast (asset.type, AssetType));
								
							}
							
						}
						
					}
					
				}
				
			} else {
				
				trace ("Warning: Could not load asset manifest (bytes was null)");
				
			}
		
		} catch (e:Dynamic) {
			
			trace ('Warning: Could not load asset manifest (${e})');
			
		}
		
	}
	#end
	
	
	public override function loadText (id:String):Future<String> {
		
		var promise = new Promise<String> ();
		
		#if html5
		
		if (path.exists (id)) {
			
			var request = new HTTPRequest ();
			var future = request.load (path.get (id) + "?" + Assets.cache.version);
			future.onProgress (function (progress) promise.progress (progress));
			future.onError (function (msg) promise.error (msg));
			future.onComplete (function (bytes) promise.complete (bytes.getString (0, bytes.length)));
			
		} else {
			
			promise.complete (getText (id));
			
		}
		
		#else
		
		promise.completeWith (loadBytes (id).then (function (bytes) {
			
			return new Future<String> (function () {
				
				if (bytes == null) {
					
					return null;
					
				} else {
					
					return bytes.getString (0, bytes.length);
					
				}
				
			});
			
		}));
		
		#end
		
		return promise.future;
		
	}
	
	
}


#if !display
#if flash

@:keep @:bind #if display private #end class __ASSET__data_fonts_opensans_opensans_eot extends null { }
@:keep @:bind #if display private #end class __ASSET__data_fonts_opensans_opensans_ttf extends null { }
@:keep @:bind #if display private #end class __ASSET__data_fonts_opensans_opensans_woff extends null { }
@:keep @:bind #if display private #end class __ASSET__data_fonts_opensans_opensans_woff2 extends null { }
@:keep @:bind #if display private #end class __ASSET__data_graphics_arml1_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_arml10_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_arml10flip_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_arml11_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_arml11flip_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_arml12_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_arml12flip_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_arml1flip_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_arml2_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_arml2_psd extends null { }
@:keep @:bind #if display private #end class __ASSET__data_graphics_arml2flip_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_arml3_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_arml3_psd extends null { }
@:keep @:bind #if display private #end class __ASSET__data_graphics_arml3flip_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_arml4_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_arml4flip_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_arml5_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_arml5flip_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_arml6_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_arml6flip_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_arml7_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_arml7flip_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_arml8_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_arml8flip_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_arml9_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_arml9flip_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_armr1_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_armr10_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_armr10flip_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_armr11_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_armr11flip_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_armr12_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_armr12flip_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_armr1flip_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_armr2_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_armr2flip_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_armr3_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_armr3flip_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_armr4_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_armr4flip_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_armr5_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_armr5flip_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_armr6_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_armr6flip_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_armr7_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_armr7flip_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_armr8_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_armr8flip_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_armr9_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_armr9flip_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_dancemockup_psd extends null { }
@:keep @:bind #if display private #end class __ASSET__data_graphics_feet1_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_feet10_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_feet11_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_feet12_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_feet2_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_feet3_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_feet4_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_feet5_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_feet6_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_feet7_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_feet8_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_feet9_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_golem_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_hair1_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_hair10_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_hair11_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_hair12_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_hair2_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_hair3_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_hair4_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_hair5_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_hair6_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_hair7_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_hair8_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_hair9_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_head1_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_head10_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_head11_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_head12_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_head2_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_head3_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_head4_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_head5_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_head6_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_head7_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_head8_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_head9_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_leftdress_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_process extends null { }
@:keep @:bind #if display private #end class __ASSET__data_graphics_rightdress_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_torso1_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_torso10_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_torso11_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_torso11_psd extends null { }
@:keep @:bind #if display private #end class __ASSET__data_graphics_torso12_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_torso2_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_torso3_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_torso4_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_torso5_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_torso6_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_torso7_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_torso8_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }
@:keep @:bind #if display private #end class __ASSET__data_graphics_torso9_png extends flash.display.BitmapData { public function new () { super (0, 0, true, 0); } }


#elseif html5


@:keep #if display private #end class __ASSET__data_fonts_opensans_opensans_ttf extends lime.text.Font { public function new () { super (); name = "Open Sans"; } } 












































































































#else



#if (windows || mac || linux || cpp)


@:file("data/fonts/opensans/opensans.eot") #if display private #end class __ASSET__data_fonts_opensans_opensans_eot extends lime.utils.Bytes {}
@:font("data/fonts/opensans/opensans.ttf") #if display private #end class __ASSET__data_fonts_opensans_opensans_ttf extends lime.text.Font {}
@:file("data/fonts/opensans/opensans.woff") #if display private #end class __ASSET__data_fonts_opensans_opensans_woff extends lime.utils.Bytes {}
@:file("data/fonts/opensans/opensans.woff2") #if display private #end class __ASSET__data_fonts_opensans_opensans_woff2 extends lime.utils.Bytes {}
@:image("data/graphics/arml1.png") #if display private #end class __ASSET__data_graphics_arml1_png extends lime.graphics.Image {}
@:image("data/graphics/arml10.png") #if display private #end class __ASSET__data_graphics_arml10_png extends lime.graphics.Image {}
@:image("data/graphics/arml10flip.png") #if display private #end class __ASSET__data_graphics_arml10flip_png extends lime.graphics.Image {}
@:image("data/graphics/arml11.png") #if display private #end class __ASSET__data_graphics_arml11_png extends lime.graphics.Image {}
@:image("data/graphics/arml11flip.png") #if display private #end class __ASSET__data_graphics_arml11flip_png extends lime.graphics.Image {}
@:image("data/graphics/arml12.png") #if display private #end class __ASSET__data_graphics_arml12_png extends lime.graphics.Image {}
@:image("data/graphics/arml12flip.png") #if display private #end class __ASSET__data_graphics_arml12flip_png extends lime.graphics.Image {}
@:image("data/graphics/arml1flip.png") #if display private #end class __ASSET__data_graphics_arml1flip_png extends lime.graphics.Image {}
@:image("data/graphics/arml2.png") #if display private #end class __ASSET__data_graphics_arml2_png extends lime.graphics.Image {}
@:file("data/graphics/arml2.psd") #if display private #end class __ASSET__data_graphics_arml2_psd extends lime.utils.Bytes {}
@:image("data/graphics/arml2flip.png") #if display private #end class __ASSET__data_graphics_arml2flip_png extends lime.graphics.Image {}
@:image("data/graphics/arml3.png") #if display private #end class __ASSET__data_graphics_arml3_png extends lime.graphics.Image {}
@:file("data/graphics/arml3.psd") #if display private #end class __ASSET__data_graphics_arml3_psd extends lime.utils.Bytes {}
@:image("data/graphics/arml3flip.png") #if display private #end class __ASSET__data_graphics_arml3flip_png extends lime.graphics.Image {}
@:image("data/graphics/arml4.png") #if display private #end class __ASSET__data_graphics_arml4_png extends lime.graphics.Image {}
@:image("data/graphics/arml4flip.png") #if display private #end class __ASSET__data_graphics_arml4flip_png extends lime.graphics.Image {}
@:image("data/graphics/arml5.png") #if display private #end class __ASSET__data_graphics_arml5_png extends lime.graphics.Image {}
@:image("data/graphics/arml5flip.png") #if display private #end class __ASSET__data_graphics_arml5flip_png extends lime.graphics.Image {}
@:image("data/graphics/arml6.png") #if display private #end class __ASSET__data_graphics_arml6_png extends lime.graphics.Image {}
@:image("data/graphics/arml6flip.png") #if display private #end class __ASSET__data_graphics_arml6flip_png extends lime.graphics.Image {}
@:image("data/graphics/arml7.png") #if display private #end class __ASSET__data_graphics_arml7_png extends lime.graphics.Image {}
@:image("data/graphics/arml7flip.png") #if display private #end class __ASSET__data_graphics_arml7flip_png extends lime.graphics.Image {}
@:image("data/graphics/arml8.png") #if display private #end class __ASSET__data_graphics_arml8_png extends lime.graphics.Image {}
@:image("data/graphics/arml8flip.png") #if display private #end class __ASSET__data_graphics_arml8flip_png extends lime.graphics.Image {}
@:image("data/graphics/arml9.png") #if display private #end class __ASSET__data_graphics_arml9_png extends lime.graphics.Image {}
@:image("data/graphics/arml9flip.png") #if display private #end class __ASSET__data_graphics_arml9flip_png extends lime.graphics.Image {}
@:image("data/graphics/armr1.png") #if display private #end class __ASSET__data_graphics_armr1_png extends lime.graphics.Image {}
@:image("data/graphics/armr10.png") #if display private #end class __ASSET__data_graphics_armr10_png extends lime.graphics.Image {}
@:image("data/graphics/armr10flip.png") #if display private #end class __ASSET__data_graphics_armr10flip_png extends lime.graphics.Image {}
@:image("data/graphics/armr11.png") #if display private #end class __ASSET__data_graphics_armr11_png extends lime.graphics.Image {}
@:image("data/graphics/armr11flip.png") #if display private #end class __ASSET__data_graphics_armr11flip_png extends lime.graphics.Image {}
@:image("data/graphics/armr12.png") #if display private #end class __ASSET__data_graphics_armr12_png extends lime.graphics.Image {}
@:image("data/graphics/armr12flip.png") #if display private #end class __ASSET__data_graphics_armr12flip_png extends lime.graphics.Image {}
@:image("data/graphics/armr1flip.png") #if display private #end class __ASSET__data_graphics_armr1flip_png extends lime.graphics.Image {}
@:image("data/graphics/armr2.png") #if display private #end class __ASSET__data_graphics_armr2_png extends lime.graphics.Image {}
@:image("data/graphics/armr2flip.png") #if display private #end class __ASSET__data_graphics_armr2flip_png extends lime.graphics.Image {}
@:image("data/graphics/armr3.png") #if display private #end class __ASSET__data_graphics_armr3_png extends lime.graphics.Image {}
@:image("data/graphics/armr3flip.png") #if display private #end class __ASSET__data_graphics_armr3flip_png extends lime.graphics.Image {}
@:image("data/graphics/armr4.png") #if display private #end class __ASSET__data_graphics_armr4_png extends lime.graphics.Image {}
@:image("data/graphics/armr4flip.png") #if display private #end class __ASSET__data_graphics_armr4flip_png extends lime.graphics.Image {}
@:image("data/graphics/armr5.png") #if display private #end class __ASSET__data_graphics_armr5_png extends lime.graphics.Image {}
@:image("data/graphics/armr5flip.png") #if display private #end class __ASSET__data_graphics_armr5flip_png extends lime.graphics.Image {}
@:image("data/graphics/armr6.png") #if display private #end class __ASSET__data_graphics_armr6_png extends lime.graphics.Image {}
@:image("data/graphics/armr6flip.png") #if display private #end class __ASSET__data_graphics_armr6flip_png extends lime.graphics.Image {}
@:image("data/graphics/armr7.png") #if display private #end class __ASSET__data_graphics_armr7_png extends lime.graphics.Image {}
@:image("data/graphics/armr7flip.png") #if display private #end class __ASSET__data_graphics_armr7flip_png extends lime.graphics.Image {}
@:image("data/graphics/armr8.png") #if display private #end class __ASSET__data_graphics_armr8_png extends lime.graphics.Image {}
@:image("data/graphics/armr8flip.png") #if display private #end class __ASSET__data_graphics_armr8flip_png extends lime.graphics.Image {}
@:image("data/graphics/armr9.png") #if display private #end class __ASSET__data_graphics_armr9_png extends lime.graphics.Image {}
@:image("data/graphics/armr9flip.png") #if display private #end class __ASSET__data_graphics_armr9flip_png extends lime.graphics.Image {}
@:file("data/graphics/dancemockup.psd") #if display private #end class __ASSET__data_graphics_dancemockup_psd extends lime.utils.Bytes {}
@:image("data/graphics/feet1.png") #if display private #end class __ASSET__data_graphics_feet1_png extends lime.graphics.Image {}
@:image("data/graphics/feet10.png") #if display private #end class __ASSET__data_graphics_feet10_png extends lime.graphics.Image {}
@:image("data/graphics/feet11.png") #if display private #end class __ASSET__data_graphics_feet11_png extends lime.graphics.Image {}
@:image("data/graphics/feet12.png") #if display private #end class __ASSET__data_graphics_feet12_png extends lime.graphics.Image {}
@:image("data/graphics/feet2.png") #if display private #end class __ASSET__data_graphics_feet2_png extends lime.graphics.Image {}
@:image("data/graphics/feet3.png") #if display private #end class __ASSET__data_graphics_feet3_png extends lime.graphics.Image {}
@:image("data/graphics/feet4.png") #if display private #end class __ASSET__data_graphics_feet4_png extends lime.graphics.Image {}
@:image("data/graphics/feet5.png") #if display private #end class __ASSET__data_graphics_feet5_png extends lime.graphics.Image {}
@:image("data/graphics/feet6.png") #if display private #end class __ASSET__data_graphics_feet6_png extends lime.graphics.Image {}
@:image("data/graphics/feet7.png") #if display private #end class __ASSET__data_graphics_feet7_png extends lime.graphics.Image {}
@:image("data/graphics/feet8.png") #if display private #end class __ASSET__data_graphics_feet8_png extends lime.graphics.Image {}
@:image("data/graphics/feet9.png") #if display private #end class __ASSET__data_graphics_feet9_png extends lime.graphics.Image {}
@:image("data/graphics/golem.png") #if display private #end class __ASSET__data_graphics_golem_png extends lime.graphics.Image {}
@:image("data/graphics/hair1.png") #if display private #end class __ASSET__data_graphics_hair1_png extends lime.graphics.Image {}
@:image("data/graphics/hair10.png") #if display private #end class __ASSET__data_graphics_hair10_png extends lime.graphics.Image {}
@:image("data/graphics/hair11.png") #if display private #end class __ASSET__data_graphics_hair11_png extends lime.graphics.Image {}
@:image("data/graphics/hair12.png") #if display private #end class __ASSET__data_graphics_hair12_png extends lime.graphics.Image {}
@:image("data/graphics/hair2.png") #if display private #end class __ASSET__data_graphics_hair2_png extends lime.graphics.Image {}
@:image("data/graphics/hair3.png") #if display private #end class __ASSET__data_graphics_hair3_png extends lime.graphics.Image {}
@:image("data/graphics/hair4.png") #if display private #end class __ASSET__data_graphics_hair4_png extends lime.graphics.Image {}
@:image("data/graphics/hair5.png") #if display private #end class __ASSET__data_graphics_hair5_png extends lime.graphics.Image {}
@:image("data/graphics/hair6.png") #if display private #end class __ASSET__data_graphics_hair6_png extends lime.graphics.Image {}
@:image("data/graphics/hair7.png") #if display private #end class __ASSET__data_graphics_hair7_png extends lime.graphics.Image {}
@:image("data/graphics/hair8.png") #if display private #end class __ASSET__data_graphics_hair8_png extends lime.graphics.Image {}
@:image("data/graphics/hair9.png") #if display private #end class __ASSET__data_graphics_hair9_png extends lime.graphics.Image {}
@:image("data/graphics/head1.png") #if display private #end class __ASSET__data_graphics_head1_png extends lime.graphics.Image {}
@:image("data/graphics/head10.png") #if display private #end class __ASSET__data_graphics_head10_png extends lime.graphics.Image {}
@:image("data/graphics/head11.png") #if display private #end class __ASSET__data_graphics_head11_png extends lime.graphics.Image {}
@:image("data/graphics/head12.png") #if display private #end class __ASSET__data_graphics_head12_png extends lime.graphics.Image {}
@:image("data/graphics/head2.png") #if display private #end class __ASSET__data_graphics_head2_png extends lime.graphics.Image {}
@:image("data/graphics/head3.png") #if display private #end class __ASSET__data_graphics_head3_png extends lime.graphics.Image {}
@:image("data/graphics/head4.png") #if display private #end class __ASSET__data_graphics_head4_png extends lime.graphics.Image {}
@:image("data/graphics/head5.png") #if display private #end class __ASSET__data_graphics_head5_png extends lime.graphics.Image {}
@:image("data/graphics/head6.png") #if display private #end class __ASSET__data_graphics_head6_png extends lime.graphics.Image {}
@:image("data/graphics/head7.png") #if display private #end class __ASSET__data_graphics_head7_png extends lime.graphics.Image {}
@:image("data/graphics/head8.png") #if display private #end class __ASSET__data_graphics_head8_png extends lime.graphics.Image {}
@:image("data/graphics/head9.png") #if display private #end class __ASSET__data_graphics_head9_png extends lime.graphics.Image {}
@:image("data/graphics/leftdress.png") #if display private #end class __ASSET__data_graphics_leftdress_png extends lime.graphics.Image {}
@:file("data/graphics/process") #if display private #end class __ASSET__data_graphics_process extends lime.utils.Bytes {}
@:image("data/graphics/rightdress.png") #if display private #end class __ASSET__data_graphics_rightdress_png extends lime.graphics.Image {}
@:image("data/graphics/torso1.png") #if display private #end class __ASSET__data_graphics_torso1_png extends lime.graphics.Image {}
@:image("data/graphics/torso10.png") #if display private #end class __ASSET__data_graphics_torso10_png extends lime.graphics.Image {}
@:image("data/graphics/torso11.png") #if display private #end class __ASSET__data_graphics_torso11_png extends lime.graphics.Image {}
@:file("data/graphics/torso11.psd") #if display private #end class __ASSET__data_graphics_torso11_psd extends lime.utils.Bytes {}
@:image("data/graphics/torso12.png") #if display private #end class __ASSET__data_graphics_torso12_png extends lime.graphics.Image {}
@:image("data/graphics/torso2.png") #if display private #end class __ASSET__data_graphics_torso2_png extends lime.graphics.Image {}
@:image("data/graphics/torso3.png") #if display private #end class __ASSET__data_graphics_torso3_png extends lime.graphics.Image {}
@:image("data/graphics/torso4.png") #if display private #end class __ASSET__data_graphics_torso4_png extends lime.graphics.Image {}
@:image("data/graphics/torso5.png") #if display private #end class __ASSET__data_graphics_torso5_png extends lime.graphics.Image {}
@:image("data/graphics/torso6.png") #if display private #end class __ASSET__data_graphics_torso6_png extends lime.graphics.Image {}
@:image("data/graphics/torso7.png") #if display private #end class __ASSET__data_graphics_torso7_png extends lime.graphics.Image {}
@:image("data/graphics/torso8.png") #if display private #end class __ASSET__data_graphics_torso8_png extends lime.graphics.Image {}
@:image("data/graphics/torso9.png") #if display private #end class __ASSET__data_graphics_torso9_png extends lime.graphics.Image {}



#end
#end

#if (openfl && !flash)
@:keep #if display private #end class __ASSET__OPENFL__data_fonts_opensans_opensans_ttf extends openfl.text.Font { public function new () { var font = new __ASSET__data_fonts_opensans_opensans_ttf (); src = font.src; name = font.name; super (); }}

#end

#end