import haxegon.*;

class Main {
	var leftdresseffect:Int;  // Current effect we're using for the left dress
	var rightdresseffect:Int; // Current effect we're using for the right dress
	var totaleffects:Int;     // Total number of effects
	
	var leftdressx:Float;     // X position of the left dress
	var leftdressy:Float;     // Y position of the left dress
	
	var rightdressx:Float;    // X position of the right dress
	var rightdressy:Float;    // Y position of the right dress
	
	var pulse:Int;            // A variable that counts from 0 to 20 and back.
	var pulsedir:String;      // Controls the direction of the pulse.
	
	// new() is a special function that is called on startup.

	function genPerson(){
		return {
			hair : Random.int(0,12),
			hairCol : [ Random.int(0,255),Random.int(0,255),Random.int(0,255)],
			head : Random.int(1,12),
			headCol : [ Random.int(0,255),Random.int(0,255),Random.int(0,255)],
			torso : Random.int(1,12),
			torsoCol : [ Random.int(0,255),Random.int(0,255),Random.int(0,255)],
			arm : Random.int(1,12),
			armCol : [ Random.int(0,255),Random.int(0,255),Random.int(0,255)],
			lowerArms : Random.int(1,5),
			feet : Random.int(1,12),
			feetCol : [ Random.int(0,255),Random.int(0,255),Random.int(0,255)],
		}
	}

	function drawPerson(pDat, x,y) {
		Gfx.imagecolor(Gfx.rgb(pDat.hairCol[0],pDat.hairCol[1],pDat.hairCol[2]));
		if (pDat.hair>0){					
			Gfx.drawimage(x,y,"hair"+pDat.hair);
		}
		Gfx.imagecolor(Gfx.rgb(pDat.headCol[0],pDat.headCol[1],pDat.headCol[2]));					
		Gfx.drawimage(x+5,y+5,"head"+pDat.head);
		Gfx.imagecolor(Gfx.rgb(pDat.torsoCol[0],pDat.torsoCol[1],pDat.torsoCol[2]));					
		Gfx.drawimage(x+5,y+10,"torso"+pDat.torso);
		Gfx.imagecolor(Gfx.rgb(pDat.feetCol[0],pDat.feetCol[1],pDat.feetCol[2]));					
		Gfx.drawimage(x+5,y+15,"feet"+pDat.feet);
		Gfx.imagecolor(Gfx.rgb(pDat.armCol[0],pDat.armCol[1],pDat.armCol[2]));	
		if (peopleArray.length==15){	
			if ((time/9)%2<1){
				Gfx.drawimage(x+0,y+5 + (pDat.lowerArms==0?5:0),"arml"+pDat.arm+"flip");
				Gfx.drawimage(x+10,y+5 + (pDat.lowerArms==0?5:0),"armr"+pDat.arm);
			} else {			
				Gfx.drawimage(x+0,y+5 + (pDat.lowerArms==0?5:0),"arml"+pDat.arm);
				Gfx.drawimage(x+10,y+5 + (pDat.lowerArms==0?5:0),"armr"+pDat.arm+"flip");
			}
		} else {			
			Gfx.drawimage(x+0,y+5 + (pDat.lowerArms==0?5:0),"arml"+pDat.arm);
			Gfx.drawimage(x+10,y+5 + (pDat.lowerArms==0?5:0),"armr"+pDat.arm);
		}
	}
	
	var  person:Dynamic;

	var queue:Array<Dynamic>;
	var queueLength:Int=10;

	function new() {
		queue = new Array<Dynamic>();
		for (i in 0...5){
			queue.push(genPerson());
		}
		Gfx.resizescreen(160,120);
		for (i in 1...13){
			Gfx.loadimage("arml"+i);
			Gfx.loadimage("armr"+i);
			Gfx.loadimage("arml"+i+"flip");
			Gfx.loadimage("armr"+i+"flip");
			Gfx.loadimage("hair"+i);
			Gfx.loadimage("head"+i);
			Gfx.loadimage("torso"+i);
			Gfx.loadimage("feet"+i);
		}
		
		Gfx.loadimage("golem");
		
		leftdresseffect = 1;
		rightdresseffect = 1;
		totaleffects = 5;
		
		pulse = 0;
		pulsedir = "up";
	}
	

	function cycle():Dynamic{
		queue.unshift(genPerson());
		return queue.pop();
	}

	var peopleArray:Array<Dynamic> = new Array();

	var title:Bool=true;
	var time:Int=0;
  function update() {
  	time++;
  	if (title){
  		Text.changesize(15);
  		Text.display(Text.CENTER,Text.CENTER-15,"PERFECT CLUB",0xffffff);
  		Text.changesize(10);
  		Text.display(Text.CENTER,Text.CENTER+15,"press up/down to accept/reject",0xffffff);

  		if (Input.justpressed(Key.UP)||Input.justpressed(Key.DOWN)){
  			title=false;
  		}
  		return;
  	}
		
		if (Input.justpressed(Key.R)){
			person = genPerson();
		}
		for(i in 0...peopleArray.length){
			var x=35+(i%5)*20;
			var y=20+Convert.toint(i/5)*20;
			drawPerson(peopleArray[i],x,y);		
		}	

		if (peopleArray.length<15){
			if (Input.justpressed(Key.UP)){
				var p = cycle();	
				peopleArray.push(p);		
			}
			if (Input.justpressed(Key.DOWN)){
				var p = cycle();
			}
			for(i in 0...queue.length){
				drawPerson(queue[i],20+i*20,100);		
			}	
		}

		Gfx.imagecolor(0xffffff);
		Gfx.drawimage(10+queue.length*20+17,100,"golem");
		Gfx.fillbox(10,10,10,90,0x888888);
		Gfx.fillbox(20,10,125,10,0x888888);
		Gfx.fillbox(160-15,10,10,90,0x888888);
		Gfx.fillbox(20,90,100,10,0x888888);
		Gfx.fillbox(20+100+15,90,10,10,0x888888);
  }
}